> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detailed Field Options

> Retrieves detailed field options for a specific program and type,
     *          including program information, fields, reports, and details.



## OpenAPI

````yaml get /admin/fields/options/{program_id}/{type}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/fields/options/{program_id}/{type}:
    get:
      tags:
        - Programs
      summary: Get Detailed Field Options
      description: |-
        Retrieves detailed field options for a specific program and type,
             *          including program information, fields, reports, and details.
      operationId: fieldOptions
      parameters:
        - name: program_id
          in: path
          description: >-
            Program ID for which to fetch field options, or 'all' for all
            programs
          required: true
          schema:
            type: string
        - name: type
          in: path
          description: Type of the field options to retrieve
          required: true
          schema:
            type: string
            example: all or available
      responses:
        '200':
          description: Detailed field options retrieved successfully
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      program:
                        type: object
                      fieldOptions:
                        type: object
                      fields:
                        type: array
                        items:
                          type: object
                      type:
                        type: string
                      reports:
                        type: array
                        items:
                          type: object
                      details:
                        type: array
                        items:
                          type: object
                    type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````